<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
   $qcc1 = "SELECT curdate() ";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
           $date=$rrc[0];
	   

           $vef=0;
           $vdep=0;
		   $vtarj=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $ppag=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
  
  $q2 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, idtransacciones, tipostr_idtipostr FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
  WHERE  (tipostr_idtipostr='10' or tipostr_idtipostr='11') and fechat=curdate() and status='EFECTIVO' and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<center><br><img src=\"ventasdia.gif\"><br><br>Ventas en Efectivo $date<br><table border=\"1\"> <tr>
			<th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota</th>
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	   $vef+=$a4;
	   $ctot+=$a4;
	   $ptot+=$a5;
	  if($a8==10){$tiponota='VENTA';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
	  
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$tiponota</td></tr>";
	}
                                       echo"</table>Total ventas en efectivo $ $vef<br>";        }
      $q29 = "SELECT referencia, inversionista.nombre, appat, apmat, cantidad, no_ficha, fechat, idtransacciones, fechad, tipostr_idtipostr, depositos.banco_idbanco, rfc, puntos FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver WHERE  (tipostr_idtipostr='10' or tipostr_idtipostr='11') and fechat=curdate() and status='DEPOSITO' and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c29 = mysql_query($q29) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<center><br>Total Depositos $date<br><table border=\"1\"> <tr>
            <th>Pedido</th><th>Ref.</th><th>R.F.C.</th><th>Compras</th><th>Folio</th><th>Fecha Dep</th><th>Nota</th><th>Banco</th>
            </tr>";
  for($i=0;$r1 = mysql_fetch_row($c29);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];
      $a7 = $r1[7];
      $a8 = $r1[8];
	   $a9 = $r1[9]; 
	   $a10 = $r1[10];
	   $a11 = $r1[11];
	    $a12 = $r1[12];
	   $ctot+=$a4;
	   $ptot+=$a12;
      if($a9==10){$tiponota='VENTA';   	  }
	  if($a9==11){ $tiponota='SALIDA';  	  } 
	  if($a10==1){$elbco='Scotia';   	  }
	   if($a10==2){$elbco='Santander';   	  } if($a10==0){$elbco='Otro';   	  }
       $vdep+=$a4;
       
      
echo"<tr><td>$a7</td><td>$a0</td><td>$a11</td><td>$a4</td><td>$a5</td><td>$a6</td><td>$tiponota</td><td>$elbco</td></tr>";
    }
    
                                   echo"</table>Total depositos $ $vdep";      }

    $q211 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, idtransacciones, tipostr_idtipostr, no_ficha FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
  WHERE  (tipostr_idtipostr='10' or tipostr_idtipostr='11') and fechat=curdate() and status='TARJETA' and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c211 = mysql_query($q211) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<br><br>Ventas con Tarjeta $date<br><table border=\"1\"> <tr>
			<th>Pedido</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota</th><th>Aut Bco</th>
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c211);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	  $a9 = $r1[9];
	   $vtarj+=$a4;
	   $ctot+=$a4;
	   $ptot+=$a5;
	  if($a8==10){$tiponota='VENTA';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
	  
echo"<tr><td>$a7</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$tiponota</td><td>$a9</td></tr>";
	}
                                       echo"</table>Total ventas en tarjeta $ $vtarj<br>";        }

    
    
          $q21 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, fechat, transacciones.idtransacciones, asignaregs.efectivo, tipostr_idtipostr, puntos, regalias, voucher, pagovta.efectivo, deposito, tarjeta 
          FROM transacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones
          left join asignaregs on asignaregs.idtransacciones=transacciones.idtransacciones left join pagovta on pagovta.idtransacciones=transacciones.idtransacciones WHERE  (tipostr_idtipostr='10' or tipostr_idtipostr='11')and fechat=curdate() and (status='REGALIAS' or status='VOUCHER') and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c21 = mysql_query($q21) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<center><br>Pagos Mixtos $date<br><table border=\"1\"> <tr>
            <th>Pedido</th><th>RFC.</th><th>Compras</th><th>Ant</th><th>Nota</th>
			<th>Regs</th><th>Vou</th><th>Efect</th><th>Dep</th><th>Tarj</th>
            </tr>";
  for($i=0;$r1 = mysql_fetch_row($c21);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];
       $a7 = $r1[7]; 
       $a8 = $r1[8];
	   $a9 = $r1[9];
	   $a10 = $r1[10];
	    $a11 = $r1[11];
		 $a12 = $r1[12];
		 $a13 = $r1[13];
		 $a14 = $r1[14];
		  $vef+=$a7;
	   $ctot+=$a4;
	   $ptot+=$a9;
	  $preg+=$a4;
	  $vef+=$a12;
	  $vdep+=$a13;
	  $vtarj+=$a14;
	  if($a8==10){$tiponota='VENTA';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
       $vreg+=$a10;
	   $vvou+=$a11;
       
      
echo"<tr><td>$a6</td><td>$a0</td><td>$a4</td><td>$a7</td><td>$tiponota</td><td>$a10</td><td>$a11</td><td>$a12</td><td>$a13</td><td>$a14</td></tr>";
    } 
    echo"</table>Compras: $preg &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Regalias: $vreg &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Voucher: $vvou<br>";          }
  
    
              $q21 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, fechat, transacciones.idtransacciones, efectivo, tipostr_idtipostr , puntos 
          FROM transacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones
          left join asignavoucher on asignavoucher.idtransacciones=transacciones.idtransacciones WHERE  (tipostr_idtipostr='14' or tipostr_idtipostr='11') and fechat=curdate() and status='VOUCHER' and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c21 = mysql_query($q21) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<center><br>Pagos con Voucher $date<br><table border=\"1\"> <tr>
            <th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Efectivo</th><th>Nota</th>
            </tr>";
  for($i=0;$r1 = mysql_fetch_row($c21);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];
       $a7 = $r1[7]; 
         $a8 = $r1[8];
		 $a9 = $r1[9];
		 
		  $ctot+=$a4;
	   $ptot+=$a9;
	  $pvou+=$a4;
	  if($a8==14){$tiponota='VENTA';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
       $vvou+=$a7;
       
      
echo"<tr><td>$a6</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a7</td><td>$tiponota</td></tr>";
    }$vouch=$pvou-$vvou;
    echo"</table>Compras: $ $pvou   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  Voucher: $vouch&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Efectivo $ $vvou";          }

        $q22 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, nsalida FROM transacciones join depositos 
      on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
      left join asignaciones on asignaciones.idtransacciones=transacciones.idtransacciones WHERE  tipostr_idtipostr='12'and fechat=curdate() and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c22 = mysql_query($q22) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<center><br>Asignaci&oacute;n de Producto $date<br><table border=\"1\"> <tr>
            <th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota Salida</th>
            </tr>";
  for($i=0;$r1 = mysql_fetch_row($c22);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];
      $a7 = $r1[7];
       $a8 = $r1[8]; 
              $vas+=$a4;  
       $pasig+=$a5;
      $ptot+=$a4;
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$a8</td></tr>";
    }
    
    
    
    
    
    
    echo"</table>Total de Puntos Asignados $pasig";    }   
	
	  $q25 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, idtransacciones, tipostr_idtipostr FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
  WHERE  (tipostr_idtipostr='10' or tipostr_idtipostr='11') and fechat=curdate() and status='PORPAGAR' and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c25 = mysql_query($q25) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<br>Ventas Pendientes de pago $date<br><table border=\"1\"> <tr>
			<th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota</th>
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c25);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	   $ppag+=$a4;
	   $ctot+=$a4;
	   $ptot+=$a5;
	  if($a8==10){$tiponota='VENTA';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
	  
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$tiponota</td></tr>";
	}
                                       echo"</table>Total ventas en efectivo $ $ppag<br>";        }
	
	$grantotal=$vef+$vreg+$vvou;
    echo"<br><br>Resumen del dia $date :
	<table border=\"1\"><tr><th>Compras</th><th>Puntos</th><th>Efectivo</th><th>Depositos</th><th>Tarjeta</th><th>Regalias</th><th>Voucher</th><th>Por Pagar </th></tr>
	<tr><td>$ $ctot</td><td>$ptot</td><td>$ $vef</td><td>$ $vdep</td><td>$ $vtarj</td><td>$vreg</td><td>$vvou</td><td>$ $ppag</td></tr>
	
	
	
	</table>
	<br>";
?>